Name:           libjwt
Version:        1.12.1
Release:        1%{?dist}
Summary:        A Javascript Web Token library in C

License:        MPLv2.0
URL:            https://github.com/benmcollins/libjwt
Source0:        https://github.com/benmcollins/libjwt/archive/v%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  jansson-devel
BuildRequires:  openssl-devel

%description
A Javascript Web Token library in C


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup
autoreconf -i


%build
%configure --disable-static
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE
%doc *.md
%{_libdir}/*.so.*
%{_bindir}/jwtauth
%{_bindir}/jwtgen

%files devel
%doc *.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libjwt.pc


%changelog
* Thu Oct 29 09:45:39 EDT 2020 Jared K. Smith <jsmith@fedoraproject.org> - 1.12.1-1
- Initial packaging
